【ASP.NET MVC5】NuGet のパッケージアップデートを簡単に一発で行います♪【プロジェクト作成後にどうぞ】

スポンサードリンク

NuGet コマンド

# アップデート対象となるパッケージを確認する
Update-Package -WhatIf
# アップデート実行
Update-Package
  • Visual Studio 2015 でプロジェクトを作成すると、様々なパッケージが予めインストールされる。しかし大体バージョンが古い。
  • 依存性を崩さないようにアップデートしたい。
  • 簡単にアップデートしたい。ツール > NuGet パッケージ マネージャー > ソリューションの NuGet パッケージの管理、からでも可能。しかし、1つ1つ手動で行う必要があり、手間がかかり、時間もかかる。
  • そこで、Nuget のパッケージマネージャーコンソールからコマンド1発でパッケージをアップデート

Update-Package -WhatIf について

実行したらどうなるか、を表示します。実際にアップデートは行われませんわ♪

-WhatIf
Shows what would happen if the cmdlet runs. The cmdlet is not run.
Required: false

実行例

  • Uninstall が現在インストールされている旧バージョン、Install がアップデートしたときにインストールされる新バージョン
PM> Update-Package -WhatIf
'.NETFramework,Version=v4.5.2' を対象とするプロジェクト 'Identity1' に関して、複数のパッケージの依存関係情報の収集を試行しています
複数のパッケージの依存関係の解決を試行しています
複数のパッケージをインストールするアクションを解決しています
Uninstall WebGrease 1.5.2
Uninstall Respond 1.2.0
Uninstall Newtonsoft.Json 6.0.4
Uninstall Modernizr 2.6.2
Uninstall Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.0
Uninstall jQuery.Validation 1.11.1
Uninstall jQuery 1.10.2
Uninstall bootstrap 3.0.0
Install jQuery 2.1.4
Install bootstrap 3.3.5
Install jQuery.Validation 1.14.0
Install Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.1
Install Modernizr 2.8.3
Install Newtonsoft.Json 7.0.1
Install Respond 1.4.2
Install WebGrease 1.6.0
PM> 

Update-Package について

試してみたところ、最新の安定版がインストールされました。依存性は考慮されるようですの。

Updates a package and its dependencies to a newer version.

-IgnoreDependencies をつければ依存を無視してアップデート。デフォルトでオフですわ。

-IgnoreDependencies
Updates none of the package’s dependencies to the latest version. False by default.

なお、-Safe オプションをつけると、少し違ったアップデートとなります。

  • -Safe オプションをつけると、バグアップデートが行われる。メジャー、マイナーバージョン番号は上がらない。

-Safe
The -Safe flag constrains upgrades to only versions with the same Major and Minor version component.

実行例

PM> Update-Package
'.NETFramework,Version=v4.5.2' を対象とするプロジェクト 'Identity1' に関して、複数のパッケージの依存関係情報の収集を試行しています
複数のパッケージの依存関係の解決を試行しています
複数のパッケージをインストールするアクションを解決しています
パッケージ 'WebGrease 1.5.2' を 'packages.config' から削除しました
'WebGrease 1.5.2' が Identity1 から正常にアンインストールされました
パッケージ 'Respond 1.2.0' を 'packages.config' から削除しました
'Respond 1.2.0' が Identity1 から正常にアンインストールされました
パッケージ 'Newtonsoft.Json 6.0.4' を 'packages.config' から削除しました
'Newtonsoft.Json 6.0.4' が Identity1 から正常にアンインストールされました
パッケージ 'Modernizr 2.6.2' を 'packages.config' から削除しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\Modernizr.2.6.2\Tools\uninstall.ps1' を実行しています
'Modernizr 2.6.2' が Identity1 から正常にアンインストールされました
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.0' を 'packages.config' から削除しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.0\tools\uninstall.ps1' を実行しています
'Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.0' が Identity1 から正常にアンインストールされました
パッケージ 'jQuery.Validation 1.11.1' を 'packages.config' から削除しました
'jQuery.Validation 1.11.1' が Identity1 から正常にアンインストールされました
パッケージ 'jQuery 1.10.2' を 'packages.config' から削除しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\jQuery.1.10.2\Tools\uninstall.ps1' を実行しています
'jQuery 1.10.2' が Identity1 から正常にアンインストールされました
パッケージ 'bootstrap 3.0.0' を 'packages.config' から削除しました
'bootstrap 3.0.0' が Identity1 から正常にアンインストールされました
パッケージ 'jQuery.2.1.4' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'jQuery.2.1.4' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'jQuery.2.1.4' を 'packages.config' に追加しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\jQuery.2.1.4\tools\install.ps1' を実行しています
'jQuery 2.1.4' が Identity1 に正常にインストールされました
パッケージ 'bootstrap.3.3.5' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'bootstrap.3.3.5' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'bootstrap.3.3.5' を 'packages.config' に追加しました
'bootstrap 3.3.5' が Identity1 に正常にインストールされました
パッケージ 'jQuery.Validation.1.14.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'jQuery.Validation.1.14.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'jQuery.Validation.1.14.0' を 'packages.config' に追加しました
'jQuery.Validation 1.14.0' が Identity1 に正常にインストールされました
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.1' を 'packages.config' に追加しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\Microsoft.CodeDom.Providers.DotNetCompilerPlatform.1.0.1\tools\install.ps1' を実行しています
'Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.1' が Identity1 に正常にインストールされました
パッケージ 'Modernizr.2.8.3' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'Modernizr.2.8.3' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'Modernizr.2.8.3' を 'packages.config' に追加しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\Modernizr.2.8.3\tools\install.ps1' を実行しています
'Modernizr 2.8.3' が Identity1 に正常にインストールされました
パッケージ 'Newtonsoft.Json.7.0.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'Newtonsoft.Json.7.0.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'Newtonsoft.Json.7.0.1' を 'packages.config' に追加しました
スクリプト ファイル 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages\Newtonsoft.Json.7.0.1\tools\install.ps1' を実行しています
'Newtonsoft.Json 7.0.1' が Identity1 に正常にインストールされました
パッケージ 'Respond.1.4.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'Respond.1.4.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'Respond.1.4.2' を 'packages.config' に追加しました
'Respond 1.4.2' が Identity1 に正常にインストールされました
パッケージ 'WebGrease.1.6.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しています
パッケージ 'WebGrease.1.6.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' に追加しました
パッケージ 'WebGrease.1.6.0' を 'packages.config' に追加しました
'WebGrease 1.6.0' が Identity1 に正常にインストールされました
パッケージ 'WebGrease 1.5.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'WebGrease 1.5.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'Respond 1.2.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'Respond 1.2.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'Newtonsoft.Json 6.0.4' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'Newtonsoft.Json 6.0.4' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'Modernizr 2.6.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'Modernizr 2.6.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'Microsoft.CodeDom.Providers.DotNetCompilerPlatform 1.0.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'jQuery.Validation 1.11.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'jQuery.Validation 1.11.1' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'jQuery 1.10.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'jQuery 1.10.2' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
パッケージ 'bootstrap 3.0.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しています
パッケージ 'bootstrap 3.0.0' をフォルダー 'C:\Users\oki2a\OneDrive\ドキュメント\Visual Studio 2015\Projects\Identity1\packages' から削除しました
PM> 

おわりに

次のページ、が大変参考になりました♪ありがとう存じます!

以上です。


スポンサードリンク

コメントを残す